<ng-container *ngIf="dispatchView else dataAwaitedBlk" [formGroup]="measurementFG">
  <div class="e-card2 e-card2--bg-eblue100  eh-mt-8">
    <div class="e-card2__content eh-p-8">
      <div class="eh-txt-12 eh-txt-bold">Summary</div>
      <div class="eh-mt-4" fxLayout="row">
        <div class="eh-txt-12">
          <span>Start:</span>
          <span class="eh-ml-8 eh-txt-bold">{{ firstMeasurement ? firstMeasurement + ' inch(es)' : '-' }}</span>
        </div>
        <div class="eh-txt-12 eh-ml-16">
          <span>Latest:</span>
          <span class="eh-ml-8 eh-txt-bold">{{ latestMeasurement ? latestMeasurement + ' inch(es)' : '-' }}</span>
        </div>
        <div class="eh-txt-12 eh-ml-16">
          <span>Total Difference:</span>
          <span class="eh-ml-8 eh-txt-bold">
            {{ computeMeasurementDifference(latestMeasurement, firstMeasurement, true) }}
          </span>
        </div>
      </div>
    </div>
  </div>

  <div class="e-title e-title--1 eh-mt-24">
    <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
    <span>Body Measurements</span>
  </div>

  <div class="eh-xy-center eh-mt-12">
    <img class="eh-w-500" [src]="imgURL" alt="Body Measurement Guide">
  </div>

  <div class="eh-mt-16" fxLayout="row" fxLayoutAlign="end">
    <div *ngIf="hasMeasurementFGChanged" class="e-txt e-txt--matred600 eh-mr-16" fxLayout="row"
      fxLayoutAlign="start center">
      <mat-icon class="e-mat-icon e-mat-icon--3">warning</mat-icon>
      <span class="eh-txt-12 eh-ml-4 eh-txt-bold">Unsaved changes</span>
    </div>

    <app-button-icon-title [title]="'Reset'" [buttonStyle]="'e-txt e-txt--matred600'" [icon]="'settings_backup_restore'"
      [disabled]="loading" (onButtonClick)="onReset()"></app-button-icon-title>

    <app-button-icon-title class="eh-ml-16 eh-mr-4" [title]="'Save'" [buttonStyle]="'e-txt e-txt--matgreen500'"
      [icon]="'save'" [loading]="loading" (onButtonClick)="onSave()"></app-button-icon-title>
  </div>

  <div class="e-brd e-brd--bottom eh-p-12 eh-mt-8" fxLayout="row">
    <div class="eh-txt-12" fxFlex="0 0 16%">Date</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Chest (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Mid Arm (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Abs (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Hips (in)</div>
    <div class="eh-txt-12" fxFlex="0 0 14%">Thighs (in)</div>
    <app-button-icon-title fxFlex="0 0 14%" [title]="'Add row'" [buttonStyle]="'e-txt e-txt--eblue700'"
      [icon]="'playlist_add'" [iconStyle]="'e-mat-icon--2'" (onButtonClick)="addLog()"></app-button-icon-title>
  </div>

  <ng-container formArrayName="logs">
    <div *ngFor="let log of logsFA.controls; let i = index;" class="e-brd e-brd--bottom eh-px-12" [formGroupName]="i"
      fxLayout="row" fxLayoutAlign="start center">

      <div fxFlex="0 0 16%">
        <mat-form-field class="e-mat-form-field eh-maxw-80p" appearance="standard">
          <input matInput [matDatepicker]="picker" [max]="maxDate" formControlName="date"
            [matDatepickerFilter]="dateFilter" readonly>
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
      </div>
      <div fxFlex="0 0 14%">
        <input class="eh-maxw-80p e-bg e-bg--eblue200 eh-p-4" type="number" formControlName="chest">
      </div>
      <div fxFlex="0 0 14%">
        <input class="eh-maxw-80p e-bg e-bg--eblue200 eh-p-4" type="number" formControlName="midArm">
      </div>
      <div fxFlex="0 0 14%">
        <input class="eh-maxw-80p e-bg e-bg--eblue200 eh-p-4" type="number" formControlName="abs">
      </div>
      <div fxFlex="0 0 14%">
        <input class="eh-maxw-80p e-bg e-bg--eblue200 eh-p-4" type="number" formControlName="hips">
      </div>
      <div fxFlex="0 0 14%">
        <input class="eh-maxw-80p e-bg e-bg--eblue200 eh-p-4" type="number" formControlName="thighs">
      </div>
      <div>
        <app-button-icon [icon]="'delete'" (onButtonClick)="removeLog(i)"></app-button-icon>
      </div>
    </div>
  </ng-container>
</ng-container>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>